import 'package:pshared/data/dto/payment/quote_fees.dart';
import 'package:pshared/data/mapper/payment/fees/line.dart';
import 'package:pshared/models/payment/quote/fees.dart';

extension QuoteFeesDTOMapper on QuoteFeesDTO {
  QuoteFees toDomain() =>
      QuoteFees(lines: lines?.map((line) => line.toDomain()).toList());
}

extension QuoteFeesMapper on QuoteFees {
  QuoteFeesDTO toDTO() =>
      QuoteFeesDTO(lines: lines?.map((line) => line.toDTO()).toList());
}
